from tkinter import Tk , Canvas, Text,Label
from random import randint
from PIL import Image, ImageTk
from winsound import PlaySound,SND_ASYNC

a = 0
b = 0
x0 = a
y0 = b
y1 = b + 50
x1 = a + 50

def creer_fenetre():
    fenetre = Tk()
    fenetre.title("pingwin game")
    return fenetre


def creer_widgets():
    zone_graphique = Canvas(fenetre, width=1000, height=600 , bg="black")
    zone_graphique.grid(row=0,column=0,columnspan=3)
    fond = ImageTk.PhotoImage(Image.open("fond.jpg"),master=fenetre)
    num_fond = zone_graphique.create_image(0,0,anchor= "nw",image = fond)
    debut = Label(fenetre,height = 1,width = 150,text = ("Vous commencez avec une population de 20 pinguin"))
    debut.grid(row=2,column=0)
    text_pinguin = Label(fenetre,height = 1,width = 150,text = ("Accumulez le plus de pinguin possible en cliquant sur le dernier pinguin en commencant bien sur par le doré, vous avez le droit à 5 vies"))
    text_pinguin.grid(row=1,column=0)
    return zone_graphique,text_pinguin,debut

def creer_image():
    global a,b,num_monstre,pinguin
    fond = ImageTk.PhotoImage(Image.open("fond.jpg"),master=fenetre)
    fond.img = fond
    num_fond = zone_graphique.create_image(0,0,anchor= "nw",image = fond)
    a = randint(0,950)
    b = randint(0,550)
    i = 0
    for i in range(19):
        a = randint(0,950)
        b = randint(0,550)
        pinguin2 = ImageTk.PhotoImage(Image.open("pinguin4.png"),master = fenetre)
        pinguin2.img = pinguin2
        pinguin = zone_graphique.create_image(a,b,anchor = "nw", image = pinguin2)
        if i == 18:
            a = randint(0,950)
            b = randint(0,550)
            pinguin3 = ImageTk.PhotoImage(Image.open("pinguin_doré.png"),master = fenetre)
            pinguin3.img = pinguin3
            num_monstre = zone_graphique.create_image(a,b,anchor = "nw", image = pinguin3)
    return num_monstre,fond,pinguin



def pinguin_click(event):
    global a,b,num_monstre,pinguin,compteur_pinguin,x0,y0,y1,x1,vie_pinguoin
    x_click = event.x
    y_click = event.y
    x0 = a
    y0 = b
    y1 = b + 50
    x1 = a + 50
    if x_click > x0 and x_click < x1 and y_click > y0 and y_click < y1:
        a = randint(0,950)
        b = randint(0,550)
        num_monstre = zone_graphique.coords(pinguin,a,b)
        pinguin=ImageTk.PhotoImage(Image.open("pinguin4.png"),master = fenetre)
        pinguin.img = pinguin
        zone_graphique.create_image(a,b,anchor = "nw",image = pinguin)
        if compteur_pinguin < 100:
            compteur_pinguin +=1
            print("Votre nombre total de pinguin est de " +str(compteur_pinguin))

    else:
        print("Vous avez perdu une vie")
        vie_pinguoin -=1
        if vie_pinguoin == 0:
            print("vous avez perdu")
            quit()

def fond_ambiance():
    PlaySound("fondglacé.mp3",SND_ASYNC)




vie_pinguoin = 5
compteur_pinguin=20
fenetre = creer_fenetre()
zone_graphique,text_pinguin,debut = creer_widgets()
fond,pinguin,num_monstre = creer_image()
zone_graphique.bind("<ButtonPress-1>", pinguin_click)
fond_ambiance()

fenetre.mainloop()


